@echo off

rem -------------------------------------------------------------------------
rem check the server status
rem -------------------------------------------------------------------------
set errmsg="Netflow server is running. Please ensure that the NetFlow Analyzer Server is not running before running this script"


set JAVA_HOME=..\jre
set PORT=13310

set NETFLOW_HOME=../server/default/conf/sample-bindings.xml
set UTIL_CLASSPATH=../server/default/lib/NetFlowUtils.jar;
set JAVA=%JAVA_HOME%\bin\java

set ERRORLEVEL=
%JAVA% "-Dcontext=netflow" -cp %UTIL_CLASSPATH% com.adventnet.netflow.dbutils.NFClientUtil %NETFLOW_HOME% 1
set e=%ERRORLEVEL%
if %e% NEQ -2  goto ERRMSG



set SERVER_HOME=..

set JAVA_HOME=..\jre

if "%JAVA_HOME%" == "" goto SET_DEF_JAVA

set JAVA=%JAVA_HOME%\bin\java
goto EXEC_TOOL

:SET_DEF_JAVA
set JAVA=java


:EXEC_TOOL
set DRIVER_CLASSES=%SERVER_HOME%\server\default\lib\mysql_connector.jar";"%SERVER_HOME%\server\default\lib\jtds-1.2.jar
set CLASS_PATH="%SERVER_HOME%\tools\utils.jar";"%SERVER_HOME%\server\default\lib\AdventNetPersistence.jar";"%SERVER_HOME%\server\default\lib\jboss-j2ee.jar";"%SERVER_HOME%\server\default\deploy\jboss-jca.sar";"%DRIVER_CLASSES%";"%SERVER_HOME%\lib\AdventNetDeploymentSystem.jar";"%SERVER_HOME%\server\default\lib\NetFlowUtils.jar";"%SERVER_HOME%\server\default\lib\AdventNetDeploymentManager.jar"


call ..\bin\setcommonenv.bat



set JAVA_OPTS=-Ddb.home="%DB_HOME%"
"%JAVA%" -Djboss.home.dir=%SERVER_HOME% -cp %CLASS_PATH% com.adventnet.netflow.dbutils.RestoreBackup 




goto STOP


rem -------------------------------------------------------------------------
rem Error Message
rem ------------------------------------------------------------------------
:ERRMSG
echo %errmsg%
goto STOP



:STOP